devel/p5-Class-Autouse - The NetBSD Packages Collection

Run-time class loading on first method call

Class::Autouse allows you to specify a class that will only load
when a method of that class is called.  For large classes that
might not be used during the running of a program, such as Date::Manip,
this can save you large amounts of memory, and decrease the script
load time.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-ExtUtils-AutoInstall lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0powerpcp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0powerpcp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0powerpcp5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 8.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0aarch64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0aarch64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0aarch64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0alphap5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0alphap5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0alphap5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv6hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv6hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv6hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv6hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0earmv7hfp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0i386p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0m68kp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0mips64ebp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0mips64ebp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0mips64ebp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0mipselp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0mipselp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0powerpcp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0powerpcp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sh3elp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sh3elp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sh3elp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparc64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparc64p5-Class-Autouse-2.01nb8.tgz
NetBSD 9.0sparc64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparc64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparcp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparcp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0sparcp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0vaxp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0vaxp5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz
NetBSD 9.0x86_64p5-Class-Autouse-2.01nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.